Get an integration configuration

Get integration configuration with the specified ID. (Excludes [persistent store](https://launchdarkly.com/docs/api/persistent-store-integrations-beta) and [flag import configurations](https://launchdarkly.com/docs/api/flag-import-configurations-beta).)

Authentication

Authorizationstring
API Key authentication via header

Path parameters

integrationConfigurationIdstringRequiredformat: "string"
Integration configuration ID

Response

Integration Configuration response
_idstring
The unique identifier for this integration configuration
namestring

A human-friendly name for the integration

_createdAtlongOptional
The time the integration configuration was created
_integrationKeystringOptional
The type of integration
tagslist of stringsOptional
An array of tags for this integration
enabledbooleanOptional
Whether the integration is currently active
_accessobjectOptional
Details on the allowed and denied actions for this integration configuration
configValuesmap from strings to anyOptional

Details on configuration for an integration of this type. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.

capabilityConfigobjectOptional
The capability configuration for the integration
snowflakeSetupScriptstringOptional
Consolidated SQL script for Snowflake Warehouse Native Experimentation setup. Present only for setup endpoint responses.
redshiftSetupScriptslist of stringsOptional

SQL setup scripts (4 parts) for Redshift Native Experimentation setup. Present only for setup endpoint responses.

redshiftIAMPermissionsPolicystringOptional
IAM permissions policy JSON for the customer's Redshift IAM role. Present only for setup endpoint responses.
redshiftIAMTrustPolicystringOptional
IAM trust policy JSON for the customer's Redshift IAM role. Present only for setup endpoint responses.
_maintainerIdstringOptional
The ID of the member who maintains this integration configuration. Defaults to the member who created it.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error